<?xml version="1.0" encoding="utf-8"?>
<flectra noupdate="1">
    <record id="l10n_ch_hr_payroll_base_ADD" model="hr.salary.rule.category" forcecreate="False">
        <field name="name">Additions</field>
        <field name="code">ADD</field>
    </record>

    <record id="AC" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">fix</field>
        <field name="appears_on_payslip">False</field>
        <field name="code">5020</field>
        <field name="condition_select">none</field>
        <field name="name">UI</field>
        <field name="quantity">1</field>
        <field name="sequence">120</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.DED" />

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="AC_C" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">False</field>
        <field name="code">5020_C</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">UI Company</field>

        <!-- @formatter:off-->
        <field name="amount_python_compute">
result = categories.BASIC + categories.ALW
result_rate = employee.company_id.ac_per_in_limit
if inputs.PSDALLOWANCE:
    result -= inputs.PSDALLOWANCE.amount
        </field>
        <!-- @formatter:on-->

        <field name="amount_percentage_base">min(categories.BASIC + categories.ALW, employee.company_id.ac_limit)</field>
        <field name="quantity">1</field>
        <field name="condition_range">categories.BASIC + categories.ALW</field>
        <field name="sequence">121</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.COMP" />
        <field name="parent_rule_id" ref="AC" />

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="AC_E" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="code">5020_E</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">UI Employee</field>

        <!-- @formatter:off-->
        <field name="amount_python_compute">
result = categories.BASIC + categories.ALW
result_rate = employee.company_id.ac_per_in_limit
if inputs.PSDALLOWANCE:
    result -= inputs.PSDALLOWANCE.amount
        </field>
        <!-- @formatter:on-->

        <field name="amount_percentage_base">min(categories.BASIC + categories.ALW, employee.company_id.ac_limit)</field>
        <field name="quantity">1</field>
        <field name="condition_range">categories.BASIC + categories.ALW</field>
        <field name="sequence">121</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.DED" />
        <field name="parent_rule_id" ref="AC" />

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="AC_SOL" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">fix</field>
        <field name="appears_on_payslip">False</field>
        <field name="code">5030</field>
        <field name="condition_python">
result = (categories.BASIC + categories.ALW) &gt; employee.company_id.ac_limit and (categories.BASIC + categories.ALW) - employee.company_id.ac_limit &gt; 0
        </field>
        <field name="name">UI SOL</field>
        <field name="quantity">1</field>
        <field name="sequence">122</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.DED" />
    </record>
    <record id="AC_C_SOL" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">False</field>
        <field name="code">5030_C</field>
        <field name="condition_range_max">999999</field>
        <field name="condition_select">python</field>
        <field name="condition_python">
result = (categories.BASIC + categories.ALW) &gt; employee.company_id.ac_limit and (categories.BASIC + categories.ALW) - employee.company_id.ac_limit &gt; 0
        </field>
        <field name="name">UI Company's Solidarity</field>
        <field name="amount_python_compute"> 
limit = employee.company_id.ac_limit
per_off_limit = employee.company_id.ac_per_off_limit / 100
result = (((categories.BASIC + categories.ALW) - limit)*per_off_limit)
        </field>
        <field name="amount_percentage_base">(categories.BASIC + categories.ALW) - employee.company_id.ac_limit</field>
        <field name="quantity">1</field>
        <field name="condition_range">categories.BASIC + categories.ALW</field>
        <field name="sequence">123</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.COMP" />
        <field name="parent_rule_id" ref="AC_SOL" />

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="AC_E_SOL" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="code">5030_E</field>
        <field name="condition_range_max">999999</field>
        <field name="condition_select">python</field>
        <field name="condition_python">
result = (categories.BASIC + categories.ALW) &gt; employee.company_id.ac_limit and (categories.BASIC + categories.ALW) - employee.company_id.ac_limit &gt; 0
        </field>
        <field name="name">UI Employee's Solidarity</field>
        <field name="amount_python_compute"> 
limit = employee.company_id.ac_limit
per_off_limit = employee.company_id.ac_per_off_limit / 100
result = (((categories.BASIC + categories.ALW) - limit)*per_off_limit)
        </field>
        <field name="amount_percentage_base">(categories.BASIC + categories.ALW) - employee.company_id.ac_limit</field>
        <field name="quantity">1</field>
        <field name="condition_range">categories.BASIC + categories.ALW</field>
        <field name="sequence">123</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.DED" />
        <field name="parent_rule_id" ref="AC_SOL" />

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="ALFA" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="code">3030</field>
        <field name="condition_select">python</field>
        <field name="condition_python">result = contract.employee_id.children + contract.employee_id.children_student &gt; 0</field>
        <field name="name">Family Allowances</field>

        <field name="amount_python_compute">
result = 0
result += contract.employee_id.children * employee.company_id.fa_amount_child
result += contract.employee_id.children_student * employee.company_id.fa_amount_student
min_number_childs = employee.company_id.fa_min_number_childs - 1
if contract.employee_id.children + contract.employee_id.children_student &gt; min_number_childs:
    child_supp = contract.employee_id.children + contract.employee_id.children_student - min_number_childs
    result += child_supp * employee.company_id.fa_amount_additional
        </field>

        <field name="quantity">1</field>
        <field name="condition_range">categories.BASIC + categories.ALW</field>
        <field name="sequence">198</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base_ADD" />

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="AVS" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">fix</field>
        <field name="appears_on_payslip">False</field>
        <field name="code">5010</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">OAI/II/IC</field>
        <field name="note">Old Age Insurance, Invalidity Insurance, Income Compensation</field>
        <field name="quantity">1</field>
        <field name="sequence">110</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.DED" />

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="AVS_C" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">False</field>
        <field name="code">5010_C</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">OAI/II/IC Company</field>

        <!-- @formatter:off-->
        <field name="amount_python_compute">
result = categories.BASIC + categories.ALW
result_rate = employee.company_id.avs_per
if inputs.PSDALLOWANCE:
    result -= inputs.PSDALLOWANCE.amount
        </field>
        <!-- @formatter:on-->

        <field name="amount_percentage_base">categories.BASIC + categories.ALW</field>
        <field name="quantity">1</field>
        <field name="sequence">111</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.COMP" />
        <field name="parent_rule_id" ref="AVS" />

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="AVS_E" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="code">5010_E</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">OAI/II/IC Employee</field>

        <!-- @formatter:off-->
        <field name="amount_python_compute">
result_rate = employee.company_id.avs_per
result = categories.BASIC + categories.ALW
if inputs.PSDALLOWANCE:
    result -= inputs.PSDALLOWANCE.amount
        </field>
        <!-- @formatter:on-->
        
        <field name="amount_percentage_base">categories.BASIC + categories.ALW</field>
        <field name="quantity">1</field>
        <field name="sequence">111</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.DED" />
        <field name="parent_rule_id" ref="AVS" />

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="FADMIN" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">False</field>
        <field name="code">6030</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Administrative Fees</field>
        <field name="note">Administrative Fees to the OAI</field>
        <field name="amount_python_compute">
per = employee.company_id.fadmin_per
result = (per*(categories.BASIC + categories.ALW))/100
        </field>
        <field name="amount_percentage_base">categories.BASIC + categories.ALW</field>
        <field name="quantity">1</field>
        <field name="sequence">210</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base_COSTS" />

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="IMP_SRC" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="code">5060</field>
        <field name="condition_select">python</field>
        <field name="condition_python">result = contract.imp_src &gt; 0</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Source Tax</field>
        <field name="amount_python_compute">
per = contract.imp_src
result = -(per*(categories.BASIC + categories.ALW + categories.FALW))/100
        </field>
        <field name="amount_percentage_base">categories.BASIC + categories.ALW + categories.FALW</field>
        <field name="quantity">1</field>
        <field name="sequence">160</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.DED" />

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="LAA" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">fix</field>
        <field name="appears_on_payslip">False</field>
        <field name="code">5041</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">AI</field>
        <field name="quantity">1</field>
        <field name="sequence">140</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.DED" />

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="LAA_C" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">False</field>
        <field name="code">5041_C</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">AI Company</field>

        <!-- @formatter:off-->
        <field name="amount_python_compute">
result_rate = employee.company_id.laa_per
result = categories.BASIC + categories.ALW
if inputs.ICALLOWANCE:
    result -= inputs.ICALLOWANCE.amount
if inputs.PSDALLOWANCE:
    result -= inputs.PSDALLOWANCE.amount
        </field>
        <!-- @formatter:on-->

        <field name="amount_percentage_base">categories.BASIC + categories.ALW</field>
        <field name="quantity">1</field>
        <field name="sequence">141</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.COMP" />
        <field name="parent_rule_id" ref="LAA" />

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="LAA_E" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="code">5041_E</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">AI Employee</field>

        <!-- @formatter:off-->
        <field name="amount_python_compute">
result_rate = employee.company_id.laa_per
result = categories.BASIC + categories.ALW
if inputs.ICALLOWANCE:
    result -= inputs.ICALLOWANCE.amount
if inputs.PSDALLOWANCE:
    result -= inputs.PSDALLOWANCE.amount
        </field>
        <!-- @formatter:on-->

        <field name="amount_percentage_base">categories.BASIC + categories.ALW</field>
        <field name="quantity">1</field>
        <field name="sequence">141</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.DED" />
        <field name="parent_rule_id" ref="LAA" />

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="LCA" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">fix</field>
        <field name="appears_on_payslip">False</field>
        <field name="code">5042</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">SDA</field>
        <field name="note">Sickness Daily Allowance</field>
        <field name="quantity">1</field>
        <field name="sequence">150</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.DED" />

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="LCA_C" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">False</field>
        <field name="code">5042_C</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">SDA Company</field>

        <!-- @formatter:off-->
        <field name="amount_python_compute">
result_rate = employee.company_id.lca_per
result = categories.BASIC + categories.ALW
if inputs.ICALLOWANCE:
    result -= inputs.ICALLOWANCE.amount
if inputs.PSDALLOWANCE:
    result -= inputs.PSDALLOWANCE.amount
        </field>
        <!-- @formatter:on-->

        <field name="amount_percentage_base">categories.BASIC + categories.ALW</field>
        <field name="quantity">1</field>
        <field name="sequence">151</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.COMP" />
        <field name="parent_rule_id" ref="LCA" />

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="LCA_E" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="code">5042_E</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">SDA Employee</field>

        <!-- @formatter:off-->
        <field name="amount_python_compute">
result_rate = employee.company_id.lca_per
result = categories.BASIC + categories.ALW
if inputs.ICALLOWANCE:
    result -= inputs.ICALLOWANCE.amount
if inputs.PSDALLOWANCE:
    result -= inputs.PSDALLOWANCE.amount
        </field>
        <!-- @formatter:on-->

        <field name="amount_percentage_base">categories.BASIC + categories.ALW</field>
        <field name="quantity">1</field>
        <field name="sequence">151</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.DED" />
        <field name="parent_rule_id" ref="LCA" />

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="LPP" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">fix</field>
        <field name="appears_on_payslip">False</field>
        <field name="code">5050</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">OBP</field>
        <field name="amount_python_compute"></field>
        <field name="quantity">1</field>
        <field name="condition_range">categories.BASIC + categories.ALW</field>
        <field name="sequence">130</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.DED" />

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="LPP_C" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">False</field>
        <field name="code">5050_C</field>
        <field name="condition_select">python</field>
        <field name="condition_python">result = (contract.lpp_rate or contract.lpp_amount) &gt; 0</field>
        <field name="name">OBP Company</field>
        <field name="amount_python_compute">
minimum_legal = employee.company_id.lpp_min
maximum_range = employee.company_id.lpp_max
amount = contract.wage_fulltime * 12
if contract.lpp_rate != 0:
    if contract.lpp_contract_id:
        amount = amount - contract.lpp_contract_id.dc_amount
    amount = amount / 12
    amount = amount * (contract.occupation_rate / 100)
    amount = amount * (payslip.working_rate / 100)
    if amount &gt; maximum_range:
        result = -(maximum_range)*((contract.lpp_rate)/100)
    elif amount &lt; minimum_legal and not contract.lpp_contract_id:
        result = -(minimum_legal)*((contract.lpp_rate)/100)
    else:
        result = -(amount)*((contract.lpp_rate)/100)
else:
    result = -contract.lpp_amount</field>
        <field name="amount_percentage_base">
            -contract.lpp_amount or ((((contract.wage_fulltime*12) - (contract.lpp_contract_id.dc_amount or 0))/12)*(contract.occupation_rate/100)*(payslip.working_rate/100))
        </field>
        <field name="quantity">1</field>
        <field name="sequence">132</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.COMP" />
        <field name="parent_rule_id" ref="LPP" />

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="LPP_E" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="code">5050_E</field>
        <field name="condition_select">python</field>
        <field name="condition_python">result = (contract.lpp_rate or contract.lpp_amount) &gt; 0</field>
        <field name="name">OBP Employee</field>
        <field name="amount_python_compute">
minimum_legal = employee.company_id.lpp_min
maximum_range = employee.company_id.lpp_max
amount = contract.wage_fulltime * 12
if contract.lpp_rate != 0:
    if contract.lpp_contract_id:
        amount = amount - contract.lpp_contract_id.dc_amount
    amount = amount / 12
    amount = amount * (contract.occupation_rate / 100)
    amount = amount * (payslip.working_rate / 100)
    if amount &gt; maximum_range:
        result = -(maximum_range)*((contract.lpp_rate)/100)
    elif amount &lt; minimum_legal and not contract.lpp_contract_id:
        result = -(minimum_legal)*((contract.lpp_rate)/100)
    else:
        result = -(amount)*((contract.lpp_rate)/100)
else:
    result = -contract.lpp_amount</field>
        <field name="amount_percentage_base">
            -contract.lpp_amount or ((((contract.wage_fulltime*12) - (contract.lpp_contract_id.dc_amount or 0))/12)*(contract.occupation_rate/100)*(payslip.working_rate/100))
        </field>
        <field name="quantity">1</field>
        <field name="sequence">131</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.DED" />
        <field name="parent_rule_id" ref="LPP" />

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="PC_F_VD" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">fix</field>
        <field name="appears_on_payslip">False</field>
        <field name="code">5063_VD</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">AS Families (VD)</field>
        <field name="quantity">1</field>
        <field name="sequence">165</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.DED" />
    </record>
    <record id="BASIC_CH" model="hr.salary.rule" forcecreate="False">
        <field name="appears_on_payslip">True</field>
        <field name="code">1000</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Basic CH</field>
        <field name="sequence" eval="1" />
        <field name="amount_select">code</field>

        <field name="report_is_total_rule">False</field>
        <field name="report_display_details_columns">True</field>
        <!-- @formatter:off-->
        <field name="amount_python_compute">
if payslip.wage_type == 'hour':
    result = contract.wage*payslip.worked_hours
else:
    result_rate = payslip.working_rate
    result = contract.wage
        </field>
        <!-- @formatter:on-->

        <field name="category_id" ref="l10n_ch_hr_payroll_base.BASIC" />

        <field name="report_is_total_rule">True</field>
        <field name="report_display_details_columns">False</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="GROSS_CH" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="code">5000</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Gross CH</field>
        <field name="amount_python_compute">result = categories.BASIC + categories.ALW + categories.FALW</field>
        <field name="quantity">1</field>
        <field name="sequence">100</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.GROSS" />

        <field name="report_is_total_rule">True</field>
        <field name="report_display_details_columns">False</field>
        <field name="report_is_net_amount">False</field>
    </record>
    <record id="NET_CH" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="code">6500</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Net CH</field>
        
        <field name="amount_python_compute">result = categories.BASIC + categories.ALW + categories.DED + categories.FALW + categories.ADD</field>

        <field name="quantity">1</field>
        <field name="sequence">200</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.NET" />

        <field name="report_is_total_rule">True</field>
        <field name="report_display_details_columns">False</field>
        <field name="report_is_net_amount">True</field>
    </record>
    <record id="TOTAL_DED" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="code">TOTAL_DED</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Total Deduction</field>
        <field name="amount_python_compute">result = categories.DED</field>
        <field name="quantity">1</field>
        <field name="sequence">195</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base_INFO" />

        <field name="report_is_total_rule">True</field>
        <field name="report_display_details_columns">False</field>
        <field name="report_is_net_amount">False</field>
    </record>

    <record id="IC_DAILY_ALLOWANCE" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="report_display_details_columns">False</field>
        <field name="code">2000</field>
        <field name="condition_select">python</field>
        <field name="condition_python">result = inputs.ICALLOWANCE and inputs.ICALLOWANCE.amount > 0</field>
        <field name="condition_range_min">0.01</field>
        <field name="condition_range_max">999999</field>
        <field name="name">IC Daily Allowance</field>
        <!-- @formatter:off-->
        <field name="amount_python_compute">
result = inputs.ICALLOWANCE.amount
        </field>
        <!-- @formatter:on-->
        <field name="sequence">98</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base_ADD"/>
    </record>
    <record id="IC_DAILY_ALLOWANCE_INPUT" model="hr.rule.input" forcecreate="False">
        <field name="input_id" ref="IC_DAILY_ALLOWANCE"/>
        <field name="code">ICALLOWANCE</field>
        <field name="name">IC Daily Allowance</field>
    </record>
    <record id="AI_REDUCTION" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="report_display_details_columns">False</field>
        <field name="code">2001</field>
        <field name="condition_select">python</field>
        <field name="condition_python">result = inputs.ICALLOWANCE and inputs.ICALLOWANCE.amount > 0</field>
        <field name="condition_range_min">0.01</field>
        <field name="condition_range_max">999999</field>
        <field name="name">AI Deduction</field>
        <!-- @formatter:off-->
        <field name="amount_python_compute">
result = inputs.ICALLOWANCE.amount * -1
        </field>
        <!-- @formatter:on-->
        <field name="sequence">99</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base_ADD"/>
    </record>

    <record id="PSD_DAILY_ALLOWANCE" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="report_display_details_columns">False</field>
        <field name="code">2030</field>
        <field name="condition_select">python</field>
        <field name="condition_python">result = inputs.PSDALLOWANCE and inputs.PSDALLOWANCE.amount > 0</field>
        <field name="condition_range_min">0.01</field>
        <field name="condition_range_max">999999</field>
        <field name="name">PSD Daily Allowance</field>
        <!-- @formatter:off-->
        <field name="amount_python_compute">
result = inputs.PSDALLOWANCE.amount
        </field>
        <!-- @formatter:on-->
        <field name="sequence">98</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base_ADD"/>
    </record>
    <record id="PSD_DAILY_ALLOWANCE_INPUT" model="hr.rule.input" forcecreate="False">
        <field name="input_id" ref="PSD_DAILY_ALLOWANCE"/>
        <field name="code">PSDALLOWANCE</field>
        <field name="name">PSD Daily Allowance</field>
    </record>

    <record id="OAI_II_IC_AI_REDUCTION" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="report_display_details_columns">False</field>
        <field name="code">2031</field>
        <field name="condition_select">python</field>
        <field name="condition_python">result = inputs.PSDALLOWANCE and inputs.PSDALLOWANCE.amount > 0</field>
        <field name="condition_range_min">0.01</field>
        <field name="condition_range_max">999999</field>
        <field name="name">OAI/II/IC Deduction</field>
        <!-- @formatter:off-->
        <field name="amount_python_compute">
result = inputs.PSDALLOWANCE.amount * -1
        </field>
        <!-- @formatter:on-->
        <field name="sequence">99</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base_ADD"/>
    </record>

    <record id="STW" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">fix</field>
        <field name="appears_on_payslip">False</field>
        <field name="code">2800</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Short Time Work</field>
        <field name="quantity">1</field>
        <field name="sequence">5</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.GROSS"/>
    </record>
    <record id="STW_INPUT" model="hr.rule.input" forcecreate="False">
        <field name="input_id" ref="STW"/>
        <field name="code">STW</field>
        <field name="name">Short Time Work: Loss of Earnings</field>
    </record>
    <record id="STW_DED" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="code">2800_1</field>
        <field name="condition_select">python</field>
        <field name="condition_python">result = inputs.STW and inputs.STW.amount > 0</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Short Time Salary Deduction</field>
        <!-- @formatter:off-->
        <field name="amount_python_compute">
result = inputs.STW.amount * -1
        </field>
        <!-- @formatter:on-->
        <field name="quantity">1</field>
        <field name="sequence">6</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.GROSS"/>
        <field name="parent_rule_id" ref="STW"/>
    </record>
    <record id="STW_ADD" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="code">2800_2</field>
        <field name="condition_select">python</field>
        <field name="condition_python">result = inputs.STW and inputs.STW.amount > 0</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Short Time Work Compensation</field>
        <!-- @formatter:off-->
        <field name="amount_python_compute">
result_rate = 80
result = inputs.STW.amount
        </field>
        <!-- @formatter:on-->
        <field name="quantity">1</field>
        <field name="sequence">7</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.GROSS"/>
        <field name="parent_rule_id" ref="STW"/>
    </record>

    <record id="STW_DIFF" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="active" eval="False"/>
        <field name="code">2800_3</field>
        <field name="condition_select">python</field>
        <field name="condition_python">result = inputs.STW and inputs.STW.amount > 0</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Short Time Work Difference</field>
        <!-- @formatter:off-->
        <field name="amount_python_compute">
result_rate = 20
result = inputs.STW.amount
        </field>
        <!-- @formatter:on-->
        <field name="quantity">1</field>
        <field name="sequence">8</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.GROSS"/>
        <field name="parent_rule_id" ref="STW"/>
    </record>

    <record id="PSD" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">fix</field>
        <field name="appears_on_payslip">False</field>
        <field name="code">5045</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Paid Sick Days</field>
        <field name="quantity">1</field>
        <field name="sequence">145</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.DED"/>
    </record>
    <record id="PSD_C_MALE" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">False</field>
        <field name="code">5045_C</field>
        <field name="condition_select">python</field>
        <field name="condition_python">result = employee.gender == 'male'</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Paid Sick Days Company</field>
        <!-- @formatter:off-->
        <field name="amount_python_compute">
result_rate = employee.company_id.psd_per_male / 2
result = categories.BASIC + categories.ALW
if inputs.PSDALLOWANCE:
    result -= inputs.PSDALLOWANCE.amount
        </field>
        <!-- @formatter:on-->
        <field name="amount_percentage_base">categories.BASIC + categories.ALW</field>
        <field name="quantity">1</field>
        <field name="sequence">146</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.COMP"/>
        <field name="parent_rule_id" ref="PSD"/>
    </record>
    <record id="PSD_C_FEMALE" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">False</field>
        <field name="code">5045_C</field>
        <field name="condition_select">python</field>
        <field name="condition_python">result = employee.gender == 'female'</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Paid Sick Days Company</field>
        <!-- @formatter:off-->
        <field name="amount_python_compute">
result_rate = employee.company_id.psd_per_female / 2
result = categories.BASIC + categories.ALW
if inputs.PSDALLOWANCE:
    result -= inputs.PSDALLOWANCE.amount
        </field>
        <!-- @formatter:on-->
        <field name="amount_percentage_base">categories.BASIC + categories.ALW</field>
        <field name="quantity">1</field>
        <field name="sequence">146</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.COMP"/>
        <field name="parent_rule_id" ref="PSD"/>
    </record>
    <record id="PSD_E_MALE" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="code">5045_E</field>
        <field name="condition_select">python</field>
        <field name="condition_python">result = employee.gender == 'male'</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Paid Sick Days Employee</field>
        <!-- @formatter:off-->
        <field name="amount_python_compute">
result_rate = employee.company_id.psd_per_male / 2
result = categories.BASIC + categories.ALW
if inputs.PSDALLOWANCE:
    result -= inputs.PSDALLOWANCE.amount
        </field>
        <!-- @formatter:on-->
        <field name="amount_percentage_base">categories.BASIC + categories.ALW</field>
        <field name="quantity">1</field>
        <field name="sequence">146</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.DED"/>
        <field name="parent_rule_id" ref="PSD"/>
    </record>
    <record id="PSD_E_FEMALE" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="code">5045_E</field>
        <field name="condition_select">python</field>
        <field name="condition_python">result = employee.gender == 'female'</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Paid Sick Days Employee</field>
        <!-- @formatter:off-->
        <field name="amount_python_compute">
result_rate = employee.company_id.psd_per_female / 2
result = categories.BASIC + categories.ALW
if inputs.PSDALLOWANCE:
    result -= inputs.PSDALLOWANCE.amount
        </field>
        <!-- @formatter:on-->
        <field name="amount_percentage_base">categories.BASIC + categories.ALW</field>
        <field name="quantity">1</field>
        <field name="sequence">146</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.DED"/>
        <field name="parent_rule_id" ref="PSD"/>
    </record>

    <record id="FRINGE_BENEFIT_CAR" model="hr.salary.rule" forcecreate="False">
        <field name="appears_on_payslip">True</field>
        <field name="report_display_details_columns">True</field>
        <field name="code">1910</field>
        <field name="condition_select">range</field>
        <field name="condition_range">contract.vehicle_purchase_price</field>
        <field name="condition_range_min">1</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Fringe Benefit Car</field>
        <field name="sequence" eval="190"/>
        <field name="amount_select">code</field>
        <!--@formatter:off-->
            <field name="amount_python_compute">
result_rate = employee.company_id.fringe_benefit_car_per
result = contract.vehicle_purchase_price
if contract.vehicle_purchase_price * result_rate / 100 &lt; employee.company_id.fringe_benefit_car_min:
    result = employee.company_id.fringe_benefit_car_min
    result_rate = 100
result = result * -1
            </field>
            <!--@formatter:on-->
        <field name="category_id" ref="l10n_ch_hr_payroll_base.DED"/>
    </record>

    <record id="EXPENSE_TRAVELFOODACC" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="report_display_details_columns">False</field>
        <field name="code">6010</field>
        <field name="condition_select">python</field>
        <field name="condition_python">result = inputs.TRAVELFOODACC and inputs.TRAVELFOODACC.amount > 0</field>
        <field name="condition_range_min">0.01</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Effective Expenses for Travel, Food, Accommodation</field>
        <!-- @formatter:off-->
        <field name="amount_python_compute">
result = inputs.TRAVELFOODACC.amount
        </field>
        <!-- @formatter:on-->
        <field name="sequence">197</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base_ADD"/>
    </record>
    <record id="EXPENSE_INPUT_TRAVELFOODACC" model="hr.rule.input" forcecreate="False">
        <field name="input_id" ref="EXPENSE_TRAVELFOODACC"/>
        <field name="code">TRAVELFOODACC</field>
        <field name="name">Effective Expenses for Travel, Food, Accommodation</field>
    </record>

    <record id="EXPENSE_OTHER" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="report_display_details_columns">False</field>
        <field name="code">6015</field>
        <field name="condition_select">python</field>
        <field name="condition_python">result = inputs.OTHEREXP and inputs.OTHEREXP.amount > 0</field>
        <field name="condition_range_min">0.01</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Other Effective Expenses</field>
        <!-- @formatter:off-->
        <field name="amount_python_compute">
result = inputs.OTHEREXP.amount
        </field>
        <!-- @formatter:on-->
        <field name="sequence">197</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base_ADD"/>
    </record>
    <record id="EXPENSE_INPUT_OTHER" model="hr.rule.input" forcecreate="False">
        <field name="input_id" ref="EXPENSE_OTHER"/>
        <field name="code">OTHEREXP</field>
        <field name="name">Other Effective Expenses</field>
    </record>

    <record id="EXPENSE_LUMPSUM_REPRESENTATION" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="report_display_details_columns">False</field>
        <field name="code">6040</field>
        <field name="condition_select">range</field>
        <field name="condition_range">contract.expense_lump_sum_representation</field>
        <field name="condition_range_min">1</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Lump-Sum Representation Expenses</field>
        <!-- @formatter:off-->
        <field name="amount_python_compute">
result = contract.expense_lump_sum_representation
        </field>
        <!-- @formatter:on-->
        <field name="sequence">51</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base_FALW"/>
    </record>

    <record id="EXPENSE_LUMPSUM_CAR" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="report_display_details_columns">False</field>
        <field name="code">6050</field>
        <field name="condition_select">range</field>
        <field name="condition_range">contract.expense_lump_sum_car</field>
        <field name="condition_range_min">1</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Lump-Sum Car Expenses</field>
        <!-- @formatter:off-->
        <field name="amount_python_compute">
result = contract.expense_lump_sum_car
        </field>
        <!-- @formatter:on-->
        <field name="sequence">50</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base_FALW"/>
    </record>

    <record id="EXPENSE_LUMPSUM_OTHER" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="appears_on_payslip">True</field>
        <field name="report_display_details_columns">False</field>
        <field name="code">6070</field>
        <field name="condition_select">range</field>
        <field name="condition_range">contract.expense_lump_sum_other</field>
        <field name="condition_range_min">1</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Lump-Sum Other Expenses</field>
        <!-- @formatter:off-->
        <field name="amount_python_compute">
result = contract.expense_lump_sum_other
        </field>
        <!-- @formatter:on-->
        <field name="sequence">52</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base_FALW"/>
    </record>

    <record id="NET_WAGE" model="hr.salary.rule" forcecreate="False">
        <field name="amount_select">code</field>
        <field name="report_is_total_rule">True</field>
        <field name="report_display_details_columns">False</field>
        <field name="appears_on_payslip">True</field>
        <field name="code">NET_WAGE</field>
        <field name="condition_select">none</field>
        <field name="condition_range_max">999999</field>
        <field name="name">Net Wage</field>
        <field name="amount_python_compute">result = categories.BASIC + categories.ALW + categories.DED + categories.FALW</field>
        <field name="quantity">1</field>
        <field name="sequence">196</field>
        <field name="category_id" ref="l10n_ch_hr_payroll_base.NET"/>
    </record>

    <record id="structure_ch" model="hr.payroll.structure" forcecreate="False">
        <field name="code">BASE CH</field>
        <field name="name">Switzerland Base</field>
        <field eval="[(6, 0, [
                ref('l10n_ch_hr_payroll_base.BASIC_CH'),
                ref('l10n_ch_hr_payroll_base.AC'),
                ref('l10n_ch_hr_payroll_base.AC_SOL'),
                ref('l10n_ch_hr_payroll_base.ALFA'),
                ref('l10n_ch_hr_payroll_base.AVS'),
                ref('l10n_ch_hr_payroll_base.FADMIN'),
                ref('l10n_ch_hr_payroll_base.IMP_SRC'),
                ref('l10n_ch_hr_payroll_base.LAA'),
                ref('l10n_ch_hr_payroll_base.LCA'),
                ref('l10n_ch_hr_payroll_base.LPP'),
                ref('l10n_ch_hr_payroll_base.GROSS_CH'),
                ref('l10n_ch_hr_payroll_base.NET_CH'),
                ref('l10n_ch_hr_payroll_base.PSD'),
                ref('l10n_ch_hr_payroll_base.STW'),
                ref('l10n_ch_hr_payroll_base.IC_DAILY_ALLOWANCE'),
                ref('l10n_ch_hr_payroll_base.AI_REDUCTION'),
                ref('l10n_ch_hr_payroll_base.PSD_DAILY_ALLOWANCE'),
                ref('l10n_ch_hr_payroll_base.OAI_II_IC_AI_REDUCTION'),
                ref('l10n_ch_hr_payroll_base.FRINGE_BENEFIT_CAR'),
                ref('l10n_ch_hr_payroll_base.NET_WAGE'),
                ref('l10n_ch_hr_payroll_base.EXPENSE_TRAVELFOODACC'),
                ref('l10n_ch_hr_payroll_base.EXPENSE_OTHER'),
                ref('l10n_ch_hr_payroll_base.EXPENSE_LUMPSUM_REPRESENTATION'),
                ref('l10n_ch_hr_payroll_base.EXPENSE_LUMPSUM_CAR'),
                ref('l10n_ch_hr_payroll_base.EXPENSE_LUMPSUM_OTHER'),
                ref('l10n_ch_hr_payroll_base.TOTAL_DED'),
                ])]" name="rule_ids"/>
        <field name="company_id" ref="base.main_company"/>
    </record>

</flectra>